## WebKitWebPage

WebKitWebPage

## Synopsis

    struct              WebKitWebPage;
    WebKitDOMDocument * webkit_web_page_get_dom_document    (WebKitWebPage *web_page);
    const gchar *       webkit_web_page_get_uri             (WebKitWebPage *web_page);
    guint64             webkit_web_page_get_id              (WebKitWebPage *web_page);

## Object Hierarchy

      GObject
       +----WebKitWebPage

## Properties

      "uri"                      gchar*                : Read

## Signals

      "document-loaded"                                : Run Last
      "send-request"                                   : Run Last

## Description

## Details

### struct WebKitWebPage

    struct WebKitWebPage;

### webkit_web_page_get_dom_document ()

    WebKitDOMDocument * webkit_web_page_get_dom_document    (WebKitWebPage *web_page);

Get the WebKitDOMDocument currently loaded in `web_page`

`web_page` : | a WebKitWebPage
Returns : | the WebKitDOMDocument currently loaded, or `NULL` if no document is currently loaded.

### webkit_web_page_get_uri ()

    const gchar *       webkit_web_page_get_uri             (WebKitWebPage *web_page);

Returns the current active URI of `web_page`.

You can monitor the active URI by connecting to the notify::uri signal of `web_page`.

`web_page` : | a WebKitWebPage
Returns : | the current active URI of `web_view` or `NULL` if nothing has been loaded yet.

### webkit_web_page_get_id ()

    guint64             webkit_web_page_get_id              (WebKitWebPage *web_page);

Get the identifier of the WebKitWebPage

`web_page` : | a WebKitWebPage
Returns : | the identifier of `web_page`

## Property Details

### The `"uri"` property

      "uri"                      gchar*                : Read

The current active URI of the WebKitWebPage.

Default value: NULL

## Signal Details

### The `"document-loaded"` signal

    void                user_function                      (WebKitWebPage *web_page,
                                                            gpointer       user_data)      : Run Last

This signal is emitted when the DOM document of a WebKitWebPage has been loaded.

You can wait for this signal to get the DOM document with `webkit_web_page_get_dom_document()`.

`web_page` : | the WebKitWebPage on which the signal is emitted
`user_data` : | user data set when the signal handler was connected.

### The `"send-request"` signal

    gboolean            user_function                      (WebKitWebPage     *web_page,
                                                            WebKitURIRequest  *request,
                                                            WebKitURIResponse *redirected_response,
                                                            gpointer           user_data)                : Run Last

This signal is emitted when `request` is about to be sent to the server. This signal can be used to modify the WebKitURIRequest that will be sent to the server. You can also cancel the resource load operation by connecting to this signal and returning `TRUE`.

In case of a server redirection this signal is emitted again with the `request` argument containing the new request to be sent to the server due to the redirection and the `redirected_response` parameter containing the response received by the server for the initial request.

`web_page` : | the WebKitWebPage on which the signal is emitted
`request` : | a WebKitURIRequest
`redirected_response` : | a WebKitURIResponse, or `NULL`
`user_data` : | user data set when the signal handler was connected.
Returns : | `TRUE` to stop other handlers from being invoked for the event. `FALSE` to continue emission of the event.